Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class AuditEventDispatchRequest

    java.lang.Object
      oracle.ifs.common.AuditEventDispatchRequest

All Implemented Interfaces:
  java.io.Serializable

    public final class AuditEventDispatchRequest

extends java.lang.Object
implements java.io.Serializable

An AuditEventDispatchRequest holds an AuditEvent that needs to be dispatched to an AuditSpecification.

This is a very simple struct-like class.

See Also:
  Serialized Form

Constructor Summary
`AuditEventDispatchRequest(AuditEvent event, java.lang.Long auditSpecId, java.lang.String propTblName)` Constructs an AuditEventDispatchRequest.

Method Summary
`AuditEvent` | `getAuditEvent()` Gets the AuditEvent.
`java.lang.Long` | `getAuditSpecificationId()` Gets the AuditSpecification ID.
`java.lang.String` | `getEventPropertyTableName()` Gets the name of the property table, or null if standard table is used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditEventDispatchRequest

    public AuditEventDispatchRequest(AuditEvent event,
                                     java.lang.Long auditSpecId,
                                     java.lang.String propTblName)

  Constructs an AuditEventDispatchRequest.

  Parameters:
    `event` - the event to dispatch
    `auditSpecId` - the ID of the AuditSpecification
    `propTblName` - the name of the property table, or null if standard table is used.

Method Detail

### getAuditEvent

    public AuditEvent getAuditEvent()

  Description copied from class: `AuditEventDispatchRequest`
  Gets the AuditEvent.

  Returns:
    the AuditEvent

### getAuditSpecificationId

    public java.lang.Long getAuditSpecificationId()

  Description copied from class: `AuditEventDispatchRequest`
  Gets the AuditSpecification ID.

  Returns:
    the AuditSpecification ID

### getEventPropertyTableName

    public java.lang.String getEventPropertyTableName()

  Description copied from class: `AuditEventDispatchRequest`
  Gets the name of the property table, or null if standard table is used.

  Returns:
    the property table, or null if standard table is used

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD